SetColValuesDialog Class Reference

Set column values dialog. More...

`#include <SetColValuesDialog.h>`

Inheritance diagram for SetColValuesDialog:

## Public Member Functions

| SetColValuesDialog (ScriptingEnv *env, QWidget *parent=0, Qt::WFlags fl=0)
void | setCompleter (QCompleter *)
void | setTable (Table *w)
Public Member Functions inherited from scripted
| scripted (ScriptingEnv *env)
void | scriptingChangeEvent (ScriptingChangeEvent *)
ScriptingEnv * | scriptingEnv ()
| ~scripted ()

## Private Slots

bool | apply ()
void | clearFormulas ()
void | insertCell ()
void | insertCol ()
void | insertExplain (int index)
void | insertFunction ()
void | nextColumn ()
void | prevColumn ()
void | updateColumn (int sc)

## Private Member Functions

void | closeEvent (QCloseEvent *)
void | customEvent (QEvent *e)
QSize | sizeHint () const

## Private Attributes

QPushButton * | addCellButton
QComboBox * | boxColumn
QPushButton * | btnAddCol
QPushButton * | btnAddFunction
QPushButton * | btnApply
QPushButton * | btnCancel
QPushButton * | buttonClearFormulas
QPushButton * | buttonNext
QPushButton * | buttonPrev
QLabel * | colNameLabel
ScriptEdit * | commands
QSpinBox * | end
QTextEdit * | explain
QComboBox * | functions
QSpinBox * | start
Table * | table

## Additional Inherited Members

Protected Attributes inherited from scripted
ScriptingEnv * | scriptEnv

## Detailed Description

Set column values dialog.

## Constructor & Destructor Documentation

SetColValuesDialog::SetColValuesDialog | ( | ScriptingEnv * | env,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References addCellButton, apply(), boxColumn, btnAddCol, btnAddFunction, btnApply, btnCancel, buttonClearFormulas, buttonNext, buttonPrev, clearFormulas(), colNameLabel, commands, end, explain, functions, muParserScripting::functionsList(), insertCell(), insertCol(), insertExplain(), insertFunction(), nextColumn(), prevColumn(), scripted::scriptEnv, and start.

## Member Function Documentation

bool SetColValuesDialog::apply | ( |  | ) |

private slot

References Table::calculate(), commands, end, Table::getCommands(), Table::numCols(), Table::selectedColumn(), Table::setCommand(), start, and table.

Referenced by SetColValuesDialog().

void SetColValuesDialog::clearFormulas | ( |  | ) |

private slot

References Table::clearCommands(), commands, and table.

Referenced by SetColValuesDialog().

void SetColValuesDialog::closeEvent | ( | QCloseEvent * | e | ) |

private

References ApplicationWindow::d_force_muParser.

void SetColValuesDialog::customEvent | ( | QEvent * | e | ) |

private

References SCRIPTING_CHANGE_EVENT, and scripted::scriptingChangeEvent().

void SetColValuesDialog::insertCell | ( |  | ) |

private slot

References boxColumn, and commands.

Referenced by SetColValuesDialog().

void SetColValuesDialog::insertCol | ( |  | ) |

private slot

References boxColumn, and commands.

Referenced by SetColValuesDialog().

void SetColValuesDialog::insertExplain | ( | int | index | ) |

private slot

References explain, muParserScripting::explainFunction(), functions, ScriptingEnv::mathFunctionDoc(), and scripted::scriptEnv.

Referenced by SetColValuesDialog().

void SetColValuesDialog::insertFunction | ( |  | ) |

private slot

References commands, functions, and ScriptEdit::insertFunction().

Referenced by SetColValuesDialog().

void SetColValuesDialog::nextColumn | ( |  | ) |

private slot

References Table::selectedColumn(), table, and updateColumn().

Referenced by SetColValuesDialog().

void SetColValuesDialog::prevColumn | ( |  | ) |

private slot

References Table::selectedColumn(), table, and updateColumn().

Referenced by SetColValuesDialog().

void SetColValuesDialog::setCompleter | ( | QCompleter * | completer | ) |

References commands, and ScriptEdit::setCompleter().

Referenced by ApplicationWindow::showColumnValuesDialog().

void SetColValuesDialog::setTable | ( | Table * | w | ) |

References boxColumn, Table::colNames(), commands, end, Table::numCols(), Table::numRows(), Table::selectedColumn(), ScriptEdit::setContext(), Table::setSelectedCol(), start, table, Table::table(), and updateColumn().

Referenced by ApplicationWindow::showColumnValuesDialog().

QSize SetColValuesDialog::sizeHint | ( |  | ) | const

private

void SetColValuesDialog::updateColumn | ( | int | sc | ) |

private slot

References buttonNext, buttonPrev, Table::colLabel(), colNameLabel, commands, Table::getCommands(), Table::numCols(), Table::setSelectedCol(), table, and Table::table().

Referenced by nextColumn(), prevColumn(), and setTable().

## Member Data Documentation

QPushButton* SetColValuesDialog::addCellButton

private

Referenced by SetColValuesDialog().

QComboBox* SetColValuesDialog::boxColumn

private

Referenced by insertCell(), insertCol(), SetColValuesDialog(), and setTable().

QPushButton* SetColValuesDialog::btnAddCol

private

Referenced by SetColValuesDialog().

QPushButton* SetColValuesDialog::btnAddFunction

private

Referenced by SetColValuesDialog().

QPushButton* SetColValuesDialog::btnApply

private

Referenced by SetColValuesDialog().

QPushButton* SetColValuesDialog::btnCancel

private

Referenced by SetColValuesDialog().

QPushButton* SetColValuesDialog::buttonClearFormulas

private

Referenced by SetColValuesDialog().

QPushButton* SetColValuesDialog::buttonNext

private

Referenced by SetColValuesDialog(), and updateColumn().

QPushButton* SetColValuesDialog::buttonPrev

private

Referenced by SetColValuesDialog(), and updateColumn().

QLabel* SetColValuesDialog::colNameLabel

private

Referenced by SetColValuesDialog(), and updateColumn().

ScriptEdit* SetColValuesDialog::commands

private

Referenced by apply(), clearFormulas(), insertCell(), insertCol(), insertFunction(), SetColValuesDialog(), setCompleter(), setTable(), and updateColumn().

QSpinBox * SetColValuesDialog::end

private

Referenced by apply(), SetColValuesDialog(), and setTable().

QTextEdit* SetColValuesDialog::explain

private

Referenced by insertExplain(), and SetColValuesDialog().

QComboBox* SetColValuesDialog::functions

private

Referenced by insertExplain(), insertFunction(), and SetColValuesDialog().

QSpinBox* SetColValuesDialog::start

private

Referenced by apply(), SetColValuesDialog(), and setTable().

Table* SetColValuesDialog::table

private

Referenced by apply(), clearFormulas(), nextColumn(), prevColumn(), setTable(), and updateColumn().

The documentation for this class was generated from the following files:

- qtiplot/src/table/SetColValuesDialog.h
- qtiplot/src/table/SetColValuesDialog.cpp